package ru.yandex.autodoc.wmtools.params.fetch;

import ru.yandex.autodoc.wmtools.params.QueryContext;

/**
 * @author avhaliullin
 */
public interface ParamView<T> {
    public ParamHolder<T> fetch(QueryContext context);

    public T fetchValue(QueryContext context);
}
